%define modpref connexion-modules
%define modname events

Name: %modpref-%modname
Version: 0.4.6
Release: alt1
BuildArch: noarch

%add_python_lib_path		%_datadir/%modpref/%modname
%add_python_compile_include	%_datadir/%modpref/%modname

Summary: Connexion project: event handlers
License: GPL
Group: Shells
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: %name.tar.gz


Requires: connexion >= %version-alt1
Requires: python-module-pysnmp4
Requires: python-module-pysnmp-mibs

%description 
The Connexion project tries to implement both user and developer
friendly framework to create working environments by integrating
three major parts: services, modules and interfaces.

This package contains event handling modules that can monitor:
 * netlink (address)
 * snmp traps

Planned:
 * netlink (route, ... , full support)
 * inotify
 * process monitoring

%prep
%setup -q -c %name-%version-%release

%build

%install
rm -f *spec
rm -f Makefile

install -d -m 755 %buildroot/%_datadir/%modpref/%modname
cp -a * %buildroot/%_datadir/%modpref/%modname

%files
%_datadir/%modpref/%modname

%changelog
* Sun Mar 23 2008 Peter V. Saveliev <peet@altlinux.org> 0.4.6-alt1
- revision 1189:
	* use cxnet library
	* snmp v1 support
	* use common package cxutil

* Wed Oct 31 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt3
- revision 953:
	* check list items in `if`, e.g. `if flags&UP`
	* negate actions: `if !dev`, `if !flags&NOARP`, `if !dev=ppp0`

* Sat Oct 20 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt2
- revision 918:
	* netlink: x86_64 fixes
	* netlink: link events support
	* snmp: bind address and port specification

* Fri Oct 19 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt1
- initial build:
	* netlink (address)
	* snmp traps
